Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client.impl
Class CRDemoMechanism

    java.lang.Object
      com.rabbitmq.client.impl.CRDemoMechanism

All Implemented Interfaces:
  SaslMechanism

    public class CRDemoMechanism

extends java.lang.Object
implements SaslMechanism

Provides equivalent security to PLAIN but demos use of Connection.Secure(Ok) START-OK: Username SECURE: "Please tell me your password" SECURE-OK: Password

Nested Class Summary
`static class` | `CRDemoMechanism.CRDemoSaslConfig`

Constructor Summary
`CRDemoMechanism()`

Method Summary
`java.lang.String` | `getName()` The name of this mechanism (e.g.
`LongString` | `handleChallenge(LongString challenge, java.lang.String username, java.lang.String password)` Handle one round of challenge-response

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CRDemoMechanism

    public CRDemoMechanism()

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `SaslMechanism`
  The name of this mechanism (e.g. PLAIN)

  Specified by:
    `getName` in interface `SaslMechanism`
  Returns:
    the name

### handleChallenge

    public LongString handleChallenge(LongString challenge,
                                      java.lang.String username,
                                      java.lang.String password)

  Description copied from interface: `SaslMechanism`
  Handle one round of challenge-response

  Specified by:
    `handleChallenge` in interface `SaslMechanism`
  Parameters:
    `challenge` - the challenge this round, or null on first round.
    `username` - name of user
    `password` - for username
  Returns:
    response

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD